Subject: Re: [iproute PATCH 1/2] tc: m_action: Fix for field init before memset

From: Stephen Hemminger <[email-masked]>
Date: Tue, 14 Jun 2016 16:51:36 -0700

On Wed, 15 Jun 2016 00:26:08 +0200
Phil Sutter <[email-masked]> wrote:

> From: Phil Sutter <[email-masked]>
> 
> Initializing req.t.tca_family before setting the whole req object to
> zero using memset does not make sense. Instead initialize the field
> after calling memset.
> 
> Note that this change has no functional effect since AF_UNSPEC is
> defined to 0 anyway, so this fix is a purely cosmetic one.
> 
> Signed-off-by: Phil Sutter <[email-masked]>

Instead of moving around the code with memset(), it would make more
sense to change this and other places to use C99 style initializers.
They are safer and the code is cleaner.